From 62813daf2c4aaec675652d9c1131a58dfa634e38 Mon Sep 17 00:00:00 2001
From: Nikias Bassen <nikias@gmx.li>
Date: Fri, 3 Oct 2014 15:39:47 +0200
Subject: [PATCH] Avoid exporting non-public symbols

---
 configure.ac          |   7 +++-
 include/plist/plist.h | 111 +++++++++++++++++++++++---------------------------
 src/base64.h          |   5 +--
 src/bplist.c          |   4 +-
 src/bytearray.h       |   7 ++--
 src/common.h          |   8 ----
 src/hashtable.h       |   9 ++--
 src/plist.c           |  96 +++++++++++++++++++++----------------------
 src/plist.h           |  22 +++++++---
 src/ptrarray.h        |   9 ++--
 src/xplist.c          |   4 +-
 test/Makefile.am      |   2 +-
 12 files changed, 141 insertions(+), 143 deletions(-)

diff --git a/src/base64.h b/src/base64.h
index dbaf104..6eee33b 100644
--- a/src/base64.h
+++ b/src/base64.h
@@ -21,9 +21,8 @@
 #ifndef BASE64_H
 #define BASE64_H
 #include <stdlib.h>
-#include "common.h"
 
-_PLIST_INTERNAL char *base64encode(const unsigned char *buf, size_t *size);
-_PLIST_INTERNAL unsigned char *base64decode(const char *buf, size_t *size);
+char *base64encode(const unsigned char *buf, size_t *size);
+unsigned char *base64decode(const char *buf, size_t *size);
 
 #endif
diff --git a/src/bytearray.h b/src/bytearray.h
index 3e67d7e..1613143 100644
--- a/src/bytearray.h
+++ b/src/bytearray.h
@@ -21,7 +21,6 @@
 #ifndef BYTEARRAY_H
 #define BYTEARRAY_H
 #include <stdlib.h>
-#include "common.h"
 
 typedef struct bytearray_t {
 	void *data;
@@ -29,8 +28,8 @@ typedef struct bytearray_t {
 	size_t capacity;
 } bytearray_t;

-_PLIST_INTERNAL bytearray_t *byte_array_new();
-_PLIST_INTERNAL void byte_array_free(bytearray_t *ba);
-_PLIST_INTERNAL void byte_array_append(bytearray_t *ba, void *buf, size_t len);
+bytearray_t *byte_array_new();
+void byte_array_free(bytearray_t *ba);
+void byte_array_append(bytearray_t *ba, void *buf, size_t len);

 #endif
diff --git a/src/hashtable.h b/src/hashtable.h
index 8c72c82..c28de91 100644
--- a/src/hashtable.h
+++ b/src/hashtable.h
@@ -21,7 +21,6 @@
 #ifndef HASHTABLE_H
 #define HASHTABLE_H
 #include <stdlib.h>
-#include "common.h"
 
 typedef struct hashentry_t {
 	void *key;
@@ -39,10 +38,10 @@ typedef struct hashtable_t {
 	compare_func_t compare_func;
 } hashtable_t;

-_PLIST_INTERNAL hashtable_t* hash_table_new(hash_func_t hash_func, compare_func_t compare_func);
-_PLIST_INTERNAL void hash_table_destroy(hashtable_t *ht);
+hashtable_t* hash_table_new(hash_func_t hash_func, compare_func_t compare_func);
+void hash_table_destroy(hashtable_t *ht);

-_PLIST_INTERNAL void hash_table_insert(hashtable_t* ht, void *key, void *value);
-_PLIST_INTERNAL void* hash_table_lookup(hashtable_t* ht, void *key);
+void hash_table_insert(hashtable_t* ht, void *key, void *value);
+void* hash_table_lookup(hashtable_t* ht, void *key);

 #endif
diff --git a/src/plist.h b/src/plist.h
index 2a9a3b5..822144d 100644
--- a/src/plist.h
+++ b/src/plist.h
@@ -22,8 +22,11 @@
 #ifndef PLIST_H
 #define PLIST_H
 
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include "plist/plist.h"
-#include "common.h"
 
 #include <sys/types.h>
 #include <sys/stat.h>
@@ -52,10 +64,10 @@ struct plist_data_s

 typedef struct plist_data_s *plist_data_t;

-_PLIST_INTERNAL plist_t plist_new_node(plist_data_t data);
-_PLIST_INTERNAL plist_data_t plist_get_data(const plist_t node);
-_PLIST_INTERNAL plist_data_t plist_new_plist_data(void);
-_PLIST_INTERNAL int plist_data_compare(const void *a, const void *b);
+plist_t plist_new_node(plist_data_t data);
+plist_data_t plist_get_data(const plist_t node);
+plist_data_t plist_new_plist_data(void);
+int plist_data_compare(const void *a, const void *b);


 #endif
diff --git a/src/ptrarray.h b/src/ptrarray.h
index 84f9ef0..e8a3c88 100644
--- a/src/ptrarray.h
+++ b/src/ptrarray.h
@@ -21,7 +21,6 @@
 #ifndef PTRARRAY_H
 #define PTRARRAY_H
 #include <stdlib.h>
-#include "common.h"
 
 typedef struct ptrarray_t {
 	void **pdata;
@@ -30,8 +29,8 @@ typedef struct ptrarray_t {
 	size_t capacity_step;
 } ptrarray_t;
 
-_PLIST_INTERNAL ptrarray_t *ptr_array_new(int capacity);
-_PLIST_INTERNAL void ptr_array_free(ptrarray_t *pa);
-_PLIST_INTERNAL void ptr_array_add(ptrarray_t *pa, void *data);
-_PLIST_INTERNAL void* ptr_array_index(ptrarray_t *pa, size_t index);
+ptrarray_t *ptr_array_new(int capacity);
+void ptr_array_free(ptrarray_t *pa);
+void ptr_array_add(ptrarray_t *pa, void *data);
+void* ptr_array_index(ptrarray_t *pa, size_t index);
 #endif
